### File

`packages/core/src/lib/components/layout/euim-sidebar/euim-sidebar-content/euim-sidebar-content.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `euim-sidebar-content`
standalone | `true`
imports | `IonicModule` `CommonModule`
templateUrl | `./euim-sidebar-content.component.html`

### Index

###### Properties

- Public asService
- className
- searchbar

###### Methods

- closeMenu
- handleInput

###### Inputs

- hasSearchbar
- ionMenuId
- isSearchbarSticky
- sidebarItems

###### Outputs

- sidebarItemsFilter

###### HostBindings

- className

### Constructor

`constructor(i18nService: I18nService, asService: EuiAppShellService, menuCtrl: MenuController, navCtrl: NavController)`

Parameters :

Name | Type | Optional
i18nService | `I18nService` | No
asService | `EuiAppShellService` | No
menuCtrl | `MenuController` | No
navCtrl | `NavController` | No

### Inputs

hasSearchbar
Type : `BooleanInput`
Default value : `false`

ionMenuId
Type : `string`
Default value : `'main'`

isSearchbarSticky
Type : `BooleanInput`
Default value : `false`

sidebarItems
Type : `MenuItem[]`
Default value : `[]`

### Outputs

sidebarItemsFilter
Type : `EventEmitter`

### HostBindings

className
Type : `string`
Default value : `'euim-sidebar-content'`

### Methods

closeMenu
`closeMenu()`
Returns : `void`

handleInput
`handleInput(event: CustomEvent)`

Parameters :

Name | Type | Optional
event | `CustomEvent` | No

Returns : `void`

### Properties

Public asService
Type : `EuiAppShellService`

className
Type : `string`
Default value : `'euim-sidebar-content'`
Decorators : `@HostBinding()`

searchbar
Type : `IonSearchbar`
Decorators : `@ViewChild(IonSearchbar, {static: false})`

# results matching ""

# No results matching ""